## WebKitDOMHTMLTableSectionElement

WebKitDOMHTMLTableSectionElement

## Functions

WebKitDOMHTMLElement * | webkit_dom_html_table_section_element_insert_row ()
void | webkit_dom_html_table_section_element_delete_row ()
gchar * | webkit_dom_html_table_section_element_get_align ()
void | webkit_dom_html_table_section_element_set_align ()
gchar * | webkit_dom_html_table_section_element_get_ch ()
void | webkit_dom_html_table_section_element_set_ch ()
gchar * | webkit_dom_html_table_section_element_get_ch_off ()
void | webkit_dom_html_table_section_element_set_ch_off ()
gchar * | webkit_dom_html_table_section_element_get_v_align ()
void | webkit_dom_html_table_section_element_set_v_align ()
WebKitDOMHTMLCollection * | webkit_dom_html_table_section_element_get_rows ()

## Properties

gchar * | align | Read / Write
gchar * | ch | Read / Write
gchar * | ch-off | Read / Write
WebKitDOMHTMLCollection * | rows | Read
gchar * | v-align | Read / Write

## Types and Values

| WebKitDOMHTMLTableSectionElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableSectionElement

## Implemented Interfaces

WebKitDOMHTMLTableSectionElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_section_element_insert_row ()

    WebKitDOMHTMLElement *
    webkit_dom_html_table_section_element_insert_row
                                   (WebKitDOMHTMLTableSectionElement *self,
                                    glong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |
index | A glong |
error | GError |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_html_table_section_element_delete_row ()

    void
    webkit_dom_html_table_section_element_delete_row
                                   (WebKitDOMHTMLTableSectionElement *self,
                                    glong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |
index | A glong |
error | GError |

### webkit_dom_html_table_section_element_get_align ()

    gchar *
    webkit_dom_html_table_section_element_get_align
                                   (WebKitDOMHTMLTableSectionElement *self);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |

#### Returns

A gchar

### webkit_dom_html_table_section_element_set_align ()

    void
    webkit_dom_html_table_section_element_set_align
                                   (WebKitDOMHTMLTableSectionElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |
value | A gchar |

### webkit_dom_html_table_section_element_get_ch ()

    gchar *
    webkit_dom_html_table_section_element_get_ch
                                   (WebKitDOMHTMLTableSectionElement *self);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |

#### Returns

A gchar

### webkit_dom_html_table_section_element_set_ch ()

    void
    webkit_dom_html_table_section_element_set_ch
                                   (WebKitDOMHTMLTableSectionElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |
value | A gchar |

### webkit_dom_html_table_section_element_get_ch_off ()

    gchar *
    webkit_dom_html_table_section_element_get_ch_off
                                   (WebKitDOMHTMLTableSectionElement *self);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |

#### Returns

A gchar

### webkit_dom_html_table_section_element_set_ch_off ()

    void
    webkit_dom_html_table_section_element_set_ch_off
                                   (WebKitDOMHTMLTableSectionElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |
value | A gchar |

### webkit_dom_html_table_section_element_get_v_align ()

    gchar *
    webkit_dom_html_table_section_element_get_v_align
                                   (WebKitDOMHTMLTableSectionElement *self);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |

#### Returns

A gchar

### webkit_dom_html_table_section_element_set_v_align ()

    void
    webkit_dom_html_table_section_element_set_v_align
                                   (WebKitDOMHTMLTableSectionElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |
value | A gchar |

### webkit_dom_html_table_section_element_get_rows ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_table_section_element_get_rows
                                   (WebKitDOMHTMLTableSectionElement *self);

#### Parameters

self | A WebKitDOMHTMLTableSectionElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

## Types and Values

### WebKitDOMHTMLTableSectionElement

    typedef struct _WebKitDOMHTMLTableSectionElement WebKitDOMHTMLTableSectionElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLTableSectionElement:align.

Flags: Read / Write

Default value: ""

### The `“ch”` property

      “ch”                       gchar *

read-write gchar* HTMLTableSectionElement:ch.

Flags: Read / Write

Default value: ""

### The `“ch-off”` property

      “ch-off”                   gchar *

read-write gchar* HTMLTableSectionElement:ch-off.

Flags: Read / Write

Default value: ""

### The `“rows”` property

      “rows”                     WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLTableSectionElement:rows.

Flags: Read

### The `“v-align”` property

      “v-align”                  gchar *

read-write gchar* HTMLTableSectionElement:v-align.

Flags: Read / Write

Default value: ""